{
"offset": 1,
"limit": 2,
"length": 1,
"total": 1,
"items": [
{
"id": "<string>",
"name": "<string>",
"currency": "<string>",
"messageTemplateNamespace": "<string>",
"accountReviewStatus": "PENDING",
"businessId": "<string>",
"businessName": "<string>",
"businessStatus": "<string>",
"businessVerificationStatus": "expired",
"country": "<string>",
"ownershipType": "<string>",
"paymentMethodAttached": true,
"primaryFundingId": "<string>",
"purchaseOrderNumber": "<string>",
"timezoneId": "1",
"decision": "APPROVED",
"updateEvent": "DISABLED_UPDATE",
"banState": "SCHEDULE_FOR_DISABLE",
"banDate": "December 9, 2022",
"violationType": "SCAM",
"restrictions": [
{
"restrictionType": "RESTRICTED_ADD_PHONE_NUMBER_ACTION",
"expiration": "2022-06-01T12:00:00.000Z"
}
],
"maxPhoneNumbersPerBusiness": 20,
"maxPhoneNumbersPerWaba": 25,
"authIntlRateEligibilityCountries": [
{
"countryCode": "IN",
"startTime": "2024-07-01T00:00:00.000Z"
}
],
"primaryBusinessLocation": "US",
"whatsappBusinessManagerMessagingLimit": "TIER_2K",
"removedReason": "ACCOUNT_DISCONNECTED",
"removedInitiatedBy": "USER",
"removedTime": "2026-05-19T12:00:00.000Z"
}
]
}WhatsApp Business Accounts
List WABAs
Returns a paginated list of WhatsApp business accounts you’ve registered.
GET
https://api.ycloud.com/v2
/
whatsapp
/
businessAccounts
{
"offset": 1,
"limit": 2,
"length": 1,
"total": 1,
"items": [
{
"id": "<string>",
"name": "<string>",
"currency": "<string>",
"messageTemplateNamespace": "<string>",
"accountReviewStatus": "PENDING",
"businessId": "<string>",
"businessName": "<string>",
"businessStatus": "<string>",
"businessVerificationStatus": "expired",
"country": "<string>",
"ownershipType": "<string>",
"paymentMethodAttached": true,
"primaryFundingId": "<string>",
"purchaseOrderNumber": "<string>",
"timezoneId": "1",
"decision": "APPROVED",
"updateEvent": "DISABLED_UPDATE",
"banState": "SCHEDULE_FOR_DISABLE",
"banDate": "December 9, 2022",
"violationType": "SCAM",
"restrictions": [
{
"restrictionType": "RESTRICTED_ADD_PHONE_NUMBER_ACTION",
"expiration": "2022-06-01T12:00:00.000Z"
}
],
"maxPhoneNumbersPerBusiness": 20,
"maxPhoneNumbersPerWaba": 25,
"authIntlRateEligibilityCountries": [
{
"countryCode": "IN",
"startTime": "2024-07-01T00:00:00.000Z"
}
],
"primaryBusinessLocation": "US",
"whatsappBusinessManagerMessagingLimit": "TIER_2K",
"removedReason": "ACCOUNT_DISCONNECTED",
"removedInitiatedBy": "USER",
"removedTime": "2026-05-19T12:00:00.000Z"
}
]
}Query Parameters
Response
200 - application/json
Successfully retrieved a paginated list of objects.
Represents a given page of WhatsApp Business Accounts.

